
Infrastructure - Task #3754

Story # 2829 (Closed): Structural changes to D1 Data Types schema for Version 2.0 release

Event enumeration of LogEntry changed to string type

2013-05-09 17:32 - Robert Waltz

Status: Closed Start date: 2013-05-09

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: 2.0.0   

Description

It may be easier to change our needs for logging events in the future by using a string instead of the enum.

if user enters, nonconformant strings it may lead to misleading displayable statistics.

History

#1 - 2013-10-02 21:39 - Robert Waltz

- Product Version set to 2.0.0

- Milestone changed from None to CCI-2.0

#2 - 2013-11-12 05:47 - Robert Waltz

- Assignee set to Robert Waltz

- Category set to d1_cn_node_registry

#3 - 2014-01-06 22:35 - Robert Waltz

- Parent task changed from #2829 to #3755

#4 - 2014-01-06 22:41 - Robert Waltz

- Parent task changed from #3755 to #2829

#5 - 2014-07-09 20:29 - Ben Leinfelder

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

Added v2.LogEntry and v2.Log to schema an d1_common_java

#6 - 2014-07-30 02:59 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

- Estimated time set to 0.00

#7 - 2014-10-01 16:57 - Robert Waltz

- Target version set to CCI-2.0.0
